import { GetIndustrialMetaListParams, IndustrialMetaItemType } from "@/types";
import { service } from "@dage/web-components";

export const industrialMetaApi = {
  getList(params: GetIndustrialMetaListParams) {
    return service.post("/api/cms/meta/pageList", params);
  },
  getDetail(id: string) {
    return service.get<IndustrialMetaItemType>(`/api/cms/meta/detail/${id}`);
  },
  edit(params: IndustrialMetaItemType) {
    return service.post("/api/cms/meta/save", params);
  },
};
